// src/js/get.js

export const fetchData = () => {
    return fetch('/src/data/data.json') // Ścieżka do pliku data.json
        .then(response => {
            if (!response.ok) {
                throw new Error(`HTTP error! status: ${response.status}`);
            }
            return response.json(); // Parsujemy odpowiedź jako JSON
        })
        .catch(error => {
            console.error('Error fetching data:', error);
            throw error; // Propagujemy błąd dalej
        });
};
